=== debian/control ===
Source: ros-rolling-simple-launch
Section: misc
Priority: optional
Maintainer: Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-xacro, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-simple-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-xacro, ros-rolling-ros-workspace
Description: Python helper class for the ROS 2 launch system
