## ros-rolling-simple-launch 1.7.0

=== debian/changelog ===
ros-rolling-simple-launch (1.7.0-2jammy) jammy; urgency=high

  * GazeboBridge creates a camera_info topic for all bridged image topics
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Feb 2023 08:00:00 -0000

ros-rolling-simple-launch (1.6.2-2jammy) jammy; urgency=high

  * add .rviz shortcut, clean Python scripts
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 23 Jan 2023 08:00:00 -0000

ros-rolling-simple-launch (1.6.1-2jammy) jammy; urgency=high

  * fix bug in robot_state_publisher with raw URDF
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 10 Oct 2022 07:00:00 -0000

ros-rolling-simple-launch (1.6.0-2jammy) jammy; urgency=high

  * check use_sim_time versus a parameter file
  * resolve any builtin type as Substitution, not only text
  * improve documentation
  * Gazebo + humble compat
  * OpaqueFunction wrapper and SimpleSubstitution
  * switch to CMake to avoid deprecation messages
  * more spawn_gz
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 06 Oct 2022 07:00:00 -0000

ros-rolling-simple-launch (1.5.0-2jammy) jammy; urgency=high

  * allow spawning a Gz model from file
  * parameters are list of dict
  * allow substitution for topics in ros_ign_image bridge
  * Gazebo bridge handles invalid ROS topics through yaml config file. Image bridges are automatically run through ros_ign_image
  * better handling of gazebo spawn pose
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 26 Aug 2022 07:00:00 -0000

ros-rolling-simple-launch (1.4.1-2jammy) jammy; urgency=high

  * more handling of param types
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 01 Jun 2022 07:00:00 -0000

ros-rolling-simple-launch (1.4.0-2jammy) jammy; urgency=high

  * use Gazebo instead of Ignition
  * better type comprehension
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 01 Jun 2022 07:00:00 -0000

ros-rolling-simple-launch (1.3.1-2jammy) jammy; urgency=high

  * use underscores in setup.cfg
  * typo in included_launch example
  * Merge pull request #4 <https://github.com/oKermorgant/simple_launch/issues/4> from yushijinhun/patch-1
    Add package & executable parameter to container
  * [readme] add doc for container.package
  * Add package & executable param to container
    This allows the user to use a component container implementation
    other than component_container, such as component_container_isolated
    and component_container_mt.
  * Contributors: Haowei Wen, Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 02 May 2022 07:00:00 -0000

ros-rolling-simple-launch (1.3.0-2jammy) jammy; urgency=high

  * more use_sim_time: constructor + warning on 'auto'
  * auto_sim_time can be forced instead of checking /clock
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Thu, 03 Feb 2022 08:00:00 -0000

ros-rolling-simple-launch (1.2.1-2jammy) jammy; urgency=high

  * add Ignition support
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 24 Jan 2022 08:00:00 -0000

ros-rolling-simple-launch (1.2.0-2jammy) jammy; urgency=high

  * make it clearer for the prefix_gz_plugins param
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 02 Nov 2021 07:00:00 -0000

ros-rolling-simple-launch (1.1.0-2jammy) jammy; urgency=high

  * add capacity to prefix and namespace Gazebo-published messages, as an alternative to using Gazebo namespaces that also remap /tf
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sat, 25 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.6-2jammy) jammy; urgency=high

  * node arguments is a raw list and accepts substitutions
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.5-2jammy) jammy; urgency=high

  * automagically convert to expected type for node parameters, remappings, launch arguments
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Wed, 22 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.4-2jammy) jammy; urgency=high

  * some Python2 legacy bugs
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Fri, 03 Sep 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.3-2jammy) jammy; urgency=high

  * solve typo in node_args
  * better handling of node arguments in nested lists
  * bug fixes around Substitutions
  * Merge pull request #1 <https://github.com/oKermorgant/simple_launch/issues/1> from oKermorgant/master
    deduce executable from package name if needed
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Sat, 17 Apr 2021 07:00:00 -0000

ros-rolling-simple-launch (1.0.2-2jammy) jammy; urgency=high

  * composition with existing container
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-simple-launch (1.0.1-2jammy) jammy; urgency=high

  * PythonExpression shortcut
  * xacro args now take substitution args
  * add LoadComposableNode feature for existing containers
  * add name_join and path_join to combine raw str and Substitution stuff
  * first commit
  * Contributors: Olivier Kermorgant

 -- Olivier Kermorgant <olivier.kermorgant@ec-nantes.fr>  Mon, 12 Oct 2020 07:00:00 -0000
